Subject: 24.5; `(query)-replace-regexp` doc: be clearer about \N

From: Drew Adams <[email-masked]>
Date: Sat, 2 Jul 2016 07:36:23 -0700 (PDT)

Please make it clear what N is in \N in a replacement pattern.  State
that \0 matches the entire input pattern, rather than the first
subgroup.  Users of Emacs regexps might be used to this, but it doesn't
hurt to call it out explicitly in this doc (both manual and doc
strings).

Here is proof that at least one user, who was trying to use this feature
normally, and seems to be quite competent, tried to use \0 to match the
first subgroup:

http://emacs.stackexchange.com/q/24329/105

In GNU Emacs 24.5.1 (i686-pc-mingw32)
 of 2015-04-11 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/usr --host=i686-pc-mingw32'